org.glassfish.jersey.server.model

## Class Parameter.ServerParameterService

- java.lang.Object
- - org.glassfish.jersey.server.model.Parameter.ServerParameterService

All Implemented Interfaces:
  org.glassfish.jersey.model.internal.spi.ParameterServiceProvider

Enclosing class:
  Parameter

    public static class Parameter.ServerParameterService
    extends Object
    implements org.glassfish.jersey.model.internal.spi.ParameterServiceProvider

### Constructor Summary

Constructors
Constructor and Description
`ServerParameterService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<Class,Parameter.ParamAnnotationHelper>` `getParameterAnnotationHelperMap()`
`Parameter.ParamCreationFactory<Parameter>` `getParameterCreationFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerParameterService

    public ServerParameterService()

### Method Detail

#### getParameterAnnotationHelperMap

    public Map<Class,Parameter.ParamAnnotationHelper> getParameterAnnotationHelperMap()

Specified by:
  `getParameterAnnotationHelperMap` in interface `org.glassfish.jersey.model.internal.spi.ParameterServiceProvider`

#### getParameterCreationFactory

    public Parameter.ParamCreationFactory<Parameter> getParameterCreationFactory()

Specified by:
  `getParameterCreationFactory` in interface `org.glassfish.jersey.model.internal.spi.ParameterServiceProvider`